Subject: bug#53857: closed (Re: telegram-desktop: fails to build)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 24 Oct 2022 18:31:02 +0000

Your bug report

#53857: telegram-desktop: fails to build

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53857: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=53857
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: telegram-desktop: fails to build
From: Liliana Marie Prikler <[email-masked]>
To: Christopher Howard <[email-masked]>
Cc: [email-masked]
Date: Mon, 24 Oct 2022 20:30:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Montag, dem 24.10.2022 um 09:13 -0800 schrieb Christopher Howard:
> I am able to install it normally using the most recent Guix commit.
> 
> On Sun, Oct 23, 2022 at 01:41:41PM +0200, Liliana Marie Prikler
> wrote:
> > Telegram was "recently" updated and is now getting proper
> > substitutes as far as I'm aware.
> > 
> > Does the problem persist?
Good to know.  Closing

Subject: telegram-desktop: fails to build
From: Christopher Howard <[email-masked]>
To: Bug Guix <[email-masked]>
Date: Mon, 7 Feb 2022 09:32:19 -0900
List-Id: <debbugs-submit.debbugs.gnu.org>

telegram-desktop-2.9.3 fails to build:

```
building /gnu/store/h9f9gm6n3jkxw6mwh050xkmabviim496-telegram-desktop-2.9.3.drv...
 33% [#################################################                                                                                                      ]builder for `/gnu/store/h9f9gm6n3jkxw6mwh050xkmabviim496-telegram-desktop-2.9.3.drv' failed with exit code 1
build of /gnu/store/h9f9gm6n3jkxw6mwh050xkmabviim496-telegram-desktop-2.9.3.drv failed
View build log at '/var/log/guix/drvs/h9/f9gm6n3jkxw6mwh050xkmabviim496-telegram-desktop-2.9.3.drv.bz2'.
guix package: error: build of `/gnu/store/h9f9gm6n3jkxw6mwh050xkmabviim496-telegram-desktop-2.9.3.drv' failed
```

The first error I see in the build log is pasted below.

```
[ 26%] Building CXX object Telegram/lib_ui/CMakeFiles/lib_ui.dir/ui/gl/gl_window.cpp.o
{standard input}: Assembler messages:
{standard input}:1918775: Warning: end of file not at end of a line; newline inserted
{standard input}: Error: open CFI at the end of file; missing .cfi_endproc directive
c++: fatal error: Killed signal terminated program cc1plus
compilation terminated.
make[2]: *** [Telegram/CMakeFiles/td_scheme.dir/build.make:79: Telegram/CMakeFiles/td_scheme.dir/gen/scheme.cpp.o] Error 1
make[2]: Leaving directory '/tmp/guix-build-telegram-desktop-2.9.3.drv-0/build'
make[1]: *** [CMakeFiles/Makefile2:1618: Telegram/CMakeFiles/td_scheme.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
```

I will attached the build log. Here is my system information:

```
christopher@theoden ~$ guix describe
Generation 31	Feb 04 2022 09:30:14	(current)
  guix 8391a99
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 8391a99d089322a39cbacb1e6dc2979d8b2ef7c9
christopher@theoden ~$ neofetch --stdout
christopher@theoden 
------------------- 
OS: Guix System x86_64 
Host: OptiPlex 9020 00 
Kernel: 5.15.12-gnu 
Uptime: 34 days, 18 hours, 48 mins 
Packages: 92 (guix-system), 149 (guix-user) 
Shell: bash 5.1.8 
Resolution: 1920x1080 
DE: GNOME 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: .gnome-terminal 
CPU: Intel i5-4570 (4) @ 3.600GHz 
GPU: Intel HD Graphics 
GPU: AMD ATI Radeon HD 8490 / R5 235X OEM 
Memory: 3470MiB / 7869MiB 
```

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 https://portal.mozz.us/gemini/gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ